# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six

from alfresco_core_api_client.configuration import Configuration


class SharedLinkBodyEmail(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'client': 'str',
        'message': 'str',
        'locale': 'str',
        'recipient_emails': 'list[str]'
    }

    attribute_map = {
        'client': 'client',
        'message': 'message',
        'locale': 'locale',
        'recipient_emails': 'recipientEmails'
    }

    def __init__(self, client=None, message=None, locale=None, recipient_emails=None, _configuration=None):  # noqa: E501
        """SharedLinkBodyEmail - a model defined in Swagger"""  # noqa: E501
        if _configuration is None:
            _configuration = Configuration()
        self._configuration = _configuration

        self._client = None
        self._message = None
        self._locale = None
        self._recipient_emails = None
        self.discriminator = None

        if client is not None:
            self.client = client
        if message is not None:
            self.message = message
        if locale is not None:
            self.locale = locale
        if recipient_emails is not None:
            self.recipient_emails = recipient_emails

    @property
    def client(self):
        """Gets the client of this SharedLinkBodyEmail.  # noqa: E501


        :return: The client of this SharedLinkBodyEmail.  # noqa: E501
        :rtype: str
        """
        return self._client

    @client.setter
    def client(self, client):
        """Sets the client of this SharedLinkBodyEmail.


        :param client: The client of this SharedLinkBodyEmail.  # noqa: E501
        :type: str
        """

        self._client = client

    @property
    def message(self):
        """Gets the message of this SharedLinkBodyEmail.  # noqa: E501


        :return: The message of this SharedLinkBodyEmail.  # noqa: E501
        :rtype: str
        """
        return self._message

    @message.setter
    def message(self, message):
        """Sets the message of this SharedLinkBodyEmail.


        :param message: The message of this SharedLinkBodyEmail.  # noqa: E501
        :type: str
        """

        self._message = message

    @property
    def locale(self):
        """Gets the locale of this SharedLinkBodyEmail.  # noqa: E501


        :return: The locale of this SharedLinkBodyEmail.  # noqa: E501
        :rtype: str
        """
        return self._locale

    @locale.setter
    def locale(self, locale):
        """Sets the locale of this SharedLinkBodyEmail.


        :param locale: The locale of this SharedLinkBodyEmail.  # noqa: E501
        :type: str
        """

        self._locale = locale

    @property
    def recipient_emails(self):
        """Gets the recipient_emails of this SharedLinkBodyEmail.  # noqa: E501


        :return: The recipient_emails of this SharedLinkBodyEmail.  # noqa: E501
        :rtype: list[str]
        """
        return self._recipient_emails

    @recipient_emails.setter
    def recipient_emails(self, recipient_emails):
        """Sets the recipient_emails of this SharedLinkBodyEmail.


        :param recipient_emails: The recipient_emails of this SharedLinkBodyEmail.  # noqa: E501
        :type: list[str]
        """

        self._recipient_emails = recipient_emails

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(SharedLinkBodyEmail, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, SharedLinkBodyEmail):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, SharedLinkBodyEmail):
            return True

        return self.to_dict() != other.to_dict()
